## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit dc43f4410a8f4061b91e7cf21d2a95063e6042d2
%global shortcommit %(c=%commit; echo ${c:1:7})

%global forgeurl https://github.com/systemd/mkosi-initrd/
%global distprefix %nil
%forgemeta

Name:           mkosi-initrd
Version:        0.20230126g%{shortcommit}
Release:        %autorelease
Summary:        Generator for initrd images using distro packages

License:        LGPL-2.1-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}
BuildArch:      noarch

Requires:       mkosi
Requires:       rpm
Requires:       dnf
Requires:       dnf-command(download)
Requires:       cpio
Requires:       kmod
Requires:       systemd
Requires:       python3dist(pyxattr)

%description
This is a generator for initrd images (cpio archives compressed with zstd).
The initrd is created by downloading rpms and installing them into a temporary
location. This is different than the usual approach, where files from the host
are used. In the initrd, only systemd is used, and no special runtime is used.
This means that only things which are supported by normal packages will work.

The package provides a kernel-install plugin that will automatically create an
initrd during kernel package installation. This initrd will then be picked up by
kernel-install and used in the Boot Loader Specification entry.

Initrds created in this way support some common machine types, but no more:
- plain partitions
- LVM2
- LUKS

%prep
%forgesetup

%global pkgroot /usr/lib/mkosi-initrd

%install
install -Dt %{buildroot}%{pkgroot} mkosi.finalize
install -Dt %{buildroot}%{pkgroot} -m 0644 fedora.mkosi
install -Dt %{buildroot}/usr/lib/kernel/install.d/ kernel-install/50-mkosi-initrd.install

%files
%doc README.md
%doc docs/fedora.md
%pkgroot/mkosi.finalize
%pkgroot/fedora.mkosi
/usr/lib/kernel/install.d/50-mkosi-initrd.install

%changelog
* Thu Jan 26 2023 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.20230126gc43f441-3
- Drop duplicated version in dist suffix

* Thu Jan 26 2023 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.20230126gc43f441-2
- Add %%summary

* Thu Jan 26 2023 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.20230126gc43f441-1
- Version 0.20230126gdc43f44

* Wed Oct 26 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.20221026g24dea4c-1
- Version 0.20221026g24dea4c

* Wed Jun 01 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.20220601gd7976d0-1
- Initial version
